.\"	$NetBSD: rpc.rwalld.8,v 1.9 2002/09/29 14:05:55 wiz Exp $
.\"
.\" Copyright (c) 1985, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd June 7, 1993
.Dt RPC.RWALLD 8
.Os
.Sh NAME
.Nm rpc.rwalld ,
.Nm rwalld
.Nd write messages to users currently logged in server
.Sh SYNOPSIS
.Nm /usr/libexec/rpc.rwalld
.Sh DESCRIPTION
.Nm
is a server which will send a message to users
currently logged in to the system.
This server invokes the
.Xr wall 1
command to actually write the messages to the
system.
.Pp
Messages are sent to this server by the
.Xr rwall 1
command.
The
.Nm
daemon is normally invoked by
.Xr inetd 8 .
.Pp
.Nm
uses an RPC protocol defined in
.Pa /usr/include/rpcsvc/rwall.x .
.Sh SEE ALSO
.Xr rwall 1 ,
.Xr wall 1 ,
.Xr inetd 8
